\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - Linear Cell Complex

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Functions
Operations for Linear Cell Complex
Linear Cell Complex Reference

##

High-level operations.

#include <CGAL/Linear_cell_complex_operations.h>

## Functions
template<class LCC >
LCC::Vector | CGAL::compute_normal_of_cell_0 (const LCC &lcc, typename LCC::Dart_const_handle dh)
| Returns the normal vector of the 0-cell containing `dh`, i.e. the average of all the normal vectors of the 2-cells incident to the 0-cell containing `dh`. More...
template<class LCC >
LCC::Vector | CGAL::compute_normal_of_cell_2 (const LCC &lcc, typename LCC::Dart_const_handle dh)
| Returns the normal vector of the 2-cell containing `dh`. More...

## Function Documentation

template<class LCC >

LCC::Vector CGAL::compute_normal_of_cell_0 | ( | const LCC & | lcc,
|  | typename LCC::Dart_const_handle | dh
| ) |  |

Returns the normal vector of the 0-cell containing `dh`, i.e. the average of all the normal vectors of the 2-cells incident to the 0-cell containing `dh`.

Precondition
  LCC::ambient_dimension==3 and `*dh` \( \in\)lcc.darts()`.

See Also
  `CGAL::compute_normal_of_cell_2<LCC>`

`#include <CGAL/Linear_cell_complex_operations.h>`

template<class LCC >

LCC::Vector CGAL::compute_normal_of_cell_2 | ( | const LCC & | lcc,
|  | typename LCC::Dart_const_handle | dh
| ) |  |

Returns the normal vector of the 2-cell containing `dh`.

Precondition
  LCC::ambient_dimension==3 and `*dh` \( \in\)lcc.darts()`.

See Also
  `CGAL::compute_normal_of_cell_0<LCC>`

`#include <CGAL/Linear_cell_complex_operations.h>`